<?php

namespace Drupal\nested_set\Plugin\Validation\Constraint;

use Symfony\Component\Validator\Constraint;

/**
 * Provides a constraint to make sure a nested set is valid.
 *
 * @Constraint(
 *   id = "ValidNestedSet",
 *   label = @Translation("Valid hierarchy"),
 * )
 */
class ValidNestedSetConstraint extends Constraint {

  /**
   * The message for an invalid value.
   *
   * @var string
   */
  public string $invalidValueMessage = 'The value to check must be a nested set field item.';

  /**
   * The message for an invalid new position.
   *
   * @var string
   */
  public string $invalidNewPositionMessage = 'The nested set model for %field does not have a free interval within %left and %right';

  /**
   * The message for an invalid nested set.
   *
   * @var string
   */
  public string $invalidNestedSetMessage = 'The %field hierarchy is invalid.';

  /**
   * The message for an invalid translatable nested set.
   *
   * @var string
   */
  public string $invalidTranslatableNestedSetMessage = 'The %field hierarchy in %language is invalid.';

}
